package com.cooleshow.teacher.bean;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.List;

/**
 * Author by pq, Date on 2022/7/25.
 */
public class HomeMenuBean {
    public List<ItemBean> appMenu;

    public static class ItemBean implements Parcelable {

        /**
         * attribute1 :
         * attribute2 :
         * clientType :
         * content :
         * coverImage :
         * createTime :
         * delFlag : true
         * hrefTarget :
         * id : 0
         * linkType :
         * linkUrl :
         * memo :
         * offlineTime :
         * onlineTime :
         * order : 0
         * showTime : 0
         * status :
         * subType : 0
         * subTypeName :
         * subjectIdList :
         * subjectName :
         * title :
         * type : 0
         * typeName :
         * updateName :
         * updateTime :
         * videoCoverImage :
         */

        public String attribute1;
        public String attribute2;
        public String clientType;
        public String content;
        public String coverImage;
        public String createTime;
        public boolean delFlag;
        public String hrefTarget;
        public int id;
        public String linkType;
        public String linkUrl;
        public String memo;
        public String offlineTime;
        public String onlineTime;
        public int order;
        public int showTime;
        public String status;
        public int subType;
        public String subTypeName;
        public String subjectIdList;
        public String subjectName;
        public String title;
        public int type;
        public String typeName;
        public String updateName;
        public String updateTime;
        public String videoCoverImage;

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.attribute1);
            dest.writeString(this.attribute2);
            dest.writeString(this.clientType);
            dest.writeString(this.content);
            dest.writeString(this.coverImage);
            dest.writeString(this.createTime);
            dest.writeByte(this.delFlag ? (byte) 1 : (byte) 0);
            dest.writeString(this.hrefTarget);
            dest.writeInt(this.id);
            dest.writeString(this.linkType);
            dest.writeString(this.linkUrl);
            dest.writeString(this.memo);
            dest.writeString(this.offlineTime);
            dest.writeString(this.onlineTime);
            dest.writeInt(this.order);
            dest.writeInt(this.showTime);
            dest.writeString(this.status);
            dest.writeInt(this.subType);
            dest.writeString(this.subTypeName);
            dest.writeString(this.subjectIdList);
            dest.writeString(this.subjectName);
            dest.writeString(this.title);
            dest.writeInt(this.type);
            dest.writeString(this.typeName);
            dest.writeString(this.updateName);
            dest.writeString(this.updateTime);
            dest.writeString(this.videoCoverImage);
        }

        public void readFromParcel(Parcel source) {
            this.attribute1 = source.readString();
            this.attribute2 = source.readString();
            this.clientType = source.readString();
            this.content = source.readString();
            this.coverImage = source.readString();
            this.createTime = source.readString();
            this.delFlag = source.readByte() != 0;
            this.hrefTarget = source.readString();
            this.id = source.readInt();
            this.linkType = source.readString();
            this.linkUrl = source.readString();
            this.memo = source.readString();
            this.offlineTime = source.readString();
            this.onlineTime = source.readString();
            this.order = source.readInt();
            this.showTime = source.readInt();
            this.status = source.readString();
            this.subType = source.readInt();
            this.subTypeName = source.readString();
            this.subjectIdList = source.readString();
            this.subjectName = source.readString();
            this.title = source.readString();
            this.type = source.readInt();
            this.typeName = source.readString();
            this.updateName = source.readString();
            this.updateTime = source.readString();
            this.videoCoverImage = source.readString();
        }

        public ItemBean() {
        }

        protected ItemBean(Parcel in) {
            this.attribute1 = in.readString();
            this.attribute2 = in.readString();
            this.clientType = in.readString();
            this.content = in.readString();
            this.coverImage = in.readString();
            this.createTime = in.readString();
            this.delFlag = in.readByte() != 0;
            this.hrefTarget = in.readString();
            this.id = in.readInt();
            this.linkType = in.readString();
            this.linkUrl = in.readString();
            this.memo = in.readString();
            this.offlineTime = in.readString();
            this.onlineTime = in.readString();
            this.order = in.readInt();
            this.showTime = in.readInt();
            this.status = in.readString();
            this.subType = in.readInt();
            this.subTypeName = in.readString();
            this.subjectIdList = in.readString();
            this.subjectName = in.readString();
            this.title = in.readString();
            this.type = in.readInt();
            this.typeName = in.readString();
            this.updateName = in.readString();
            this.updateTime = in.readString();
            this.videoCoverImage = in.readString();
        }

        public static final Parcelable.Creator<ItemBean> CREATOR = new Parcelable.Creator<ItemBean>() {
            @Override
            public ItemBean createFromParcel(Parcel source) {
                return new ItemBean(source);
            }

            @Override
            public ItemBean[] newArray(int size) {
                return new ItemBean[size];
            }
        };
    }
}
